#language: ru

@OrdersConfirmation

Функционал: 002. OrdersConfirmation. Создание упаковок

Сценарий: 002.1. OrdersConfirmation. Создание упаковок

	Дано Я подключаюсь под "Администратор"
	И Я заполняю константы Единицы измерения

Сценарий: 002.2. OrdersConfirmation. Создание упаковок

	Когда В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Классификаторы номенклатуры'
	Тогда я жду открытия окна 'Классификаторы номенклатуры' в течение 20 секунд
	Когда я нажимаю на кнопку 'Наборы упаковок'
	Тогда я жду открытия окна 'Наборы упаковок' в течение 20 секунд
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'             |
		| 'Набор упаковок для сыров' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Набор упаковок для сыров (Набор упаковок)'
	И В текущем окне я нажимаю кнопку командного интерфейса 'Упаковки'
	* Создание упаковки для Ашана
		И Я начинаю создавать упаковку
		И я нажимаю кнопку выбора у поля "Единица по классификатору"
		Тогда открылось окно 'Выберите единицу измерения'
		И я нажимаю на кнопку 'Подобрать из классификатора'
		Тогда открылось окно 'Классификатор единиц измерения'
		И в таблице "ДеревоКлассификатора" я перехожу к строке:
			| 'Наименование' |
			| 'Упаковка'     |
		И в таблице "ДеревоКлассификатора" я изменяю флаг 'Выбран'
		И в таблице "ДеревоКлассификатора" я завершаю редактирование строки
		И я нажимаю на кнопку 'ОК'
		Тогда открылось окно 'Выберите единицу измерения'
		И я нажимаю на кнопку с именем 'ФормаВыбрать'
		Тогда открылось окно 'Упаковки и единицы измерения (создание) *'
		И Я заканчиваю создавать упаковку "упак (5 кг) (Ашан)" с числителем "5,125" и весом брутто "5,125"
	* Создание упаковки для 5ки
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'                 |
			| 'Упаковки и единицы измерения' |
		И Я начинаю создавать упаковку
		И Я заканчиваю создавать упаковку "упак (2.5 кг) 5ка" с числителем "2,512" и весом брутто "2,512"
	* Создание упаковки для Перекрестка
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'                 |
			| 'Упаковки и единицы измерения' |
		И Я начинаю создавать упаковку
		И Я заканчиваю создавать упаковку "упак (1.5 кг) Перекресток" с числителем "1,512" и весом брутто "2,123"
	* Создание упаковки для Немаркированной продукции в 1 кг
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'                 |
			| 'Упаковки и единицы измерения' |
		И Я начинаю создавать упаковку
		И Я заканчиваю создавать упаковку "упак (1 кг)" с числителем "1,123" и весом брутто "1,123"
	* Создание упаковки для Немаркированной продукции в 0.5 кг
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'                 |
			| 'Упаковки и единицы измерения' |
		И Я начинаю создавать упаковку
		И Я заканчиваю создавать упаковку "упак (0.5 кг)" с числителем "0,512" и весом брутто "1,123"
	И В текущем окне я нажимаю кнопку командного интерфейса 'Основное'
	И Я закрываю окно 'Набор упаковок для сыров (Набор упаковок)'
	И я жду закрытия окна 'Набор упаковок (создание) *' в течение 20 секунд
	Тогда открылось окно 'Наборы упаковок'
	И Я закрываю окно 'Наборы упаковок'
	Тогда открылось окно 'Классификаторы номенклатуры'
	И Я закрываю окно 'Классификаторы номенклатуры'

Сценарий: 002.3. OrdersConfirmation. Завершение

	И Я закрыл все окна клиентского приложения